Loading...
Searching...
No Matches
LRUCacheItem< T > Class Template Reference

`#include <pcl/outofcore/impl/lru_cache.hpp>`

## Public Member Functions

virtual std::size_t | sizeOf () const
virtual | ~LRUCacheItem ()=default

## Public Attributes

T | item
std::size_t | timestamp

## Detailed Description

template<typename T>
class LRUCacheItem< T >

Definition at line 12 of file lru_cache.hpp.

## Constructor & Destructor Documentation

## ~LRUCacheItem()

template<typename T>

virtual LRUCacheItem< T >::~LRUCacheItem | ( |  | ) |

virtual default

## Member Function Documentation

## sizeOf()

template<typename T>

virtual std::size_t LRUCacheItem< T >::sizeOf | ( |  | ) | const

inline virtual

Reimplemented in OutofcoreCloud::CloudDataCacheItem.

Definition at line 17 of file lru_cache.hpp.

References item.

## Member Data Documentation

## item

template<typename T>

T LRUCacheItem< T >::item

Definition at line 25 of file lru_cache.hpp.

Referenced by sizeOf().

## timestamp

template<typename T>

std::size_t LRUCacheItem< T >::timestamp

Definition at line 26 of file lru_cache.hpp.

The documentation for this class was generated from the following file:

- pcl/outofcore/impl/lru_cache.hpp